with Ada.Strings.Unbounded;

package Common_Types.Strings is

   --  pragma Preelaborate;

   use Ada.Strings.Unbounded;

   type String_Array is array (Positive range <>) of Unbounded_String;
   Null_String_Array : constant String_Array (1 .. 0) :=
     (others => Null_Unbounded_String);
   type String_Couple_Type is record
      Name : Unbounded_String;
      Value : Unbounded_String;
   end record;
   type String_Couple_Array is array (Positive range <>) of String_Couple_Type;
   Null_String_Couple_Array : constant String_Couple_Array (1 .. 0) :=
     (others => (Name => Null_Unbounded_String,
                 Value => Null_Unbounded_String));

end Common_Types.Strings;
