with Common_Types.Strings;

package Dcod_Launcher_Tools is
   --  This function returns true is the launcher is responding at the URI
   --  pointed by End_Point.
   function Test_Launcher_Exist (End_Point : String) return Boolean;
   --  This function returns true if an executable named Name is available in
   --  the directories of the launcher.
   function Executable_Available (Name : String;
                                  End_Point : String) return Boolean;

   function To_Parameters (Huge_String : String) return Common_Types.Strings.String_Couple_Array;

end Dcod_Launcher_Tools;
