with GNAT.Sockets;

package body Directory_Stuff is
   procedure Stop is
   begin
      Listener.Stop;
      Directory.Close;
   end Stop;

   procedure Start is
      use type Broadcast_Stuff.Process_Enum;
   begin
      if not (An_Entry.Kind = Broadcast_Stuff.Passive) then
         Broadcast_Stuff.Set_Host (An_Entry, GNAT.Sockets.Host_Name);
      end if;
      Directory.Connect;
      Listener.Start (Directory'Access);
   end Start;

end Directory_Stuff;
