with P42.Html_Utils;
with AWS.MIME;
with DCOD.Environment;

package body DCOD.Ctl.Http is
   function Callback (Request : AWS.Status.Data) return AWS.Response.Data is
      Page : P42.Html_Utils.T_Page_Html;
      URI : constant String := AWS.Status.URI (Request);
      pragma Unreferenced (Request);
   begin
      if URI = "/" then
         Page.Head (Title => "COMMON_TRANSPORT_LAYER",
                                        CSS_URI => "/css");
         Page.Append_Code ("<div class='entete_ctl'>");
         Page.Append_Code ("<h3 class='ctl'>Buffer List<h3>");
         Page.Append_Code ("</div>");
         Page.Append_Code ("<div class='corps_page_ctl'>");
         Page.Append_Code ("<table class='desc_ctl'>");
         Page.Append_Code ("<tr>");
         Page.Append_Code ("<th class='Colonnes_ctl'>");
         Page.Append_Code ("Numero du transport");
         Page.Append_Code ("</th>");
         Page.Append_Code ("<th class='Colonnes_ctl'>");
         Page.Append_Code ("Nom du transport");
         Page.Append_Code ("</th>");
         Page.Append_Code ("<th class='Colonnes_ctl'>");
         Page.Append_Code ("Taille du transport");
         Page.Append_Code ("</th>");
         Page.Append_Code ("</tr>");
         Page.Append_Code ("</table>");
         Page.Append_Code ("</div>");
         Page.Append_Code ("<br/>");
         Page.Append_Code ("<div class='piedPage_ctl'>");
         Page.Append_Code ("<h2>Support !</h2>");
         Page.Append_Code ("</div>");
      elsif URI = "/css" then
         return AWS.Response.File (AWS.MIME.Text_CSS, DCOD.Environment.CSS_Directory.all & "/dcod_global.css");
      end if;
      return AWS.Response.Build ("html", Page.Return_Page);
   end Callback;
end DCOD.Ctl.Http;
